{
	"name": "fsd-nest-template",
	"version": "0.1.0",
	"imports": {
		"#tests/*": "./tests/*"
	},
	"private": true,
	"packageManager": "bun@1.3.5",
	"scripts": {
		"dev": "bun --bun next dev",
		"build": "bun --bun next build",
		"start": "bun --bun next start",
		"lint": "concurrently \"bun run lint:es\" \"bun run lint:prettier\"",
		"create-component": "npx generate-react-cli component",
		"gc": "bun run .scripts/create-fsd-component.ts",
		"gicons": "npx @svgr/cli --ext tsx --typescript --no-prettier --icon --ref --no-svgo ./src/shared/assets/raw-icons/ --out-dir ./src/shared/ui/Icons/",
		"gen:api-types": "bun --env-file=.env.production .scripts/gen-api-types.mjs",
		"test:e2e": "bunx playwright test --project=chromium --headed",
		"test:integration": "bunx playwright test --project=integration --headed"
	},
	"dependencies": {
		"@radix-ui/react-checkbox": "^1.3.3",
		"@radix-ui/react-dialog": "^1.1.15",
		"@radix-ui/react-dropdown-menu": "^2.1.16",
		"@radix-ui/react-label": "^2.1.8",
		"@radix-ui/react-radio-group": "^1.3.8",
		"@radix-ui/react-select": "^2.2.6",
		"@radix-ui/react-tabs": "^1.1.13",
		"@radix-ui/themes": "^3.2.1",
		"@reduxjs/toolkit": "^2.11.2",
		"@tanstack/react-query": "^5.90.14",
		"@tanstack/react-query-devtools": "^5.91.2",
		"@vidstack/react": "^1",
		"@wavesurfer/react": "^1.0.12",
		"axios": "^1.13.2",
		"classnames": "^2.5.1",
		"date-fns": "^4.1.0",
		"framer-motion": "^12.23.26",
		"js-cookie": "^3.0.5",
		"lodash": "^4.17.21",
		"lucide-react": "^0.562.0",
		"next": "16.1.1",
		"normalize.css": "^8.0.1",
		"openapi-fetch": "^0.15.0",
		"openapi-react-query": "^0.5.1",
		"react": "^19.2.3",
		"react-aria-components": "^1.14.0",
		"react-colorful": "^5.6.1",
		"react-dom": "^19.2.3",
		"react-dropzone": "^14.3.8",
		"react-hook-form": "^7.71.0",
		"react-modal": "^3.16.3",
		"react-modern-drawer": "^1.4.0",
		"react-redux": "^9.2.0",
		"react-resizable-panels": "^4.6.5",
		"react-toastify": "^11.0.5",
		"use-mask-input": "^3.6.0",
		"usehooks-ts": "^3.1.1",
		"wavesurfer.js": "^7.12.1",
		"xior": "^0.8.2"
	},
	"devDependencies": {
		"@ianvs/prettier-plugin-sort-imports": "^4.7.0",
		"@playwright/test": "^1.58.2",
		"@svgr/cli": "^8.1.0",
		"@types/bun": "^1.3.5",
		"@types/jest": "^30.0.0",
		"@types/js-cookie": "^3.0.6",
		"@types/node": "^25.0.3",
		"@types/react": "^19.2.7",
		"@types/react-dom": "^19.2.3",
		"@types/react-modal": "^3.16.3",
		"concurrently": "^9.2.1",
		"eslint": "^9.39.2",
		"eslint-config-next": "16.1.1",
		"eslint-import-resolver-typescript": "^4.4.4",
		"eslint-plugin-boundaries": "^5.3.1",
		"eslint-plugin-react-hooks": "^7.0.1",
		"eslint-plugin-react-refresh": "^0.4.26",
		"openapi-typescript": "^7.10.1",
		"prettier": "^3.7.4",
		"sass": "^1.97.1",
		"stylelint": "^16.26.1",
		"stylelint-config-standard": "^39.0.1",
		"stylelint-config-standard-scss": "^16.0.0",
		"stylelint-order": "^7.0.0",
		"stylelint-order-config-standard": "^0.1.3",
		"ts-node": "^10.9.2",
		"typescript": "^5.9.3",
		"typescript-eslint": "^8.50.1"
	}
}
